Update merchant settings
curl --request PUT \
--url https://api.creditor.younegotiate.com/merchant-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_name": "stripe",
"merchant_type": "both",
"stripe_secret_key": "sk_test_example"
}
'import requests
url = "https://api.creditor.younegotiate.com/merchant-settings"
payload = {
"merchant_name": "stripe",
"merchant_type": "both",
"stripe_secret_key": "sk_test_example"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant_name: 'stripe',
merchant_type: 'both',
stripe_secret_key: 'sk_test_example'
})
};
fetch('https://api.creditor.younegotiate.com/merchant-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Merchant credentials accepted.",
"data": [
{
"id": 123,
"company_id": 123,
"subclient_id": 123,
"authorize_login_id": "<string>",
"authorize_transaction_key": "<string>",
"stripe_secret_key": "<string>",
"usaepay_key": "<string>",
"usaepay_pin": "<string>",
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}Update merchant settings
Add or update existing merchant processor credentials for Authorize.Net, Stripe, or USA ePay. Use merchant_type as cc, ach, or both.
PUT
/
merchant-settings
Update merchant settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
authorize, stripe, usaepay Select cc, ach, or both payment methods.
Available options:
cc, ach, both Required when merchant_name is authorize.
Required when merchant_name is authorize.
Required when merchant_name is stripe. Test keys must start with sk_test when sandbox mode is enabled.
Required when merchant_name is usaepay.
Required when merchant_name is usaepay.
Last modified on July 20, 2026
Was this page helpful?
⌘I

